curl --request GET \
--url https://api.aisa.one/apis/v1/geofred/series/data \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/geofred/series/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/geofred/series/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/geofred/series/data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/geofred/series/data"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/geofred/series/data")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/geofred/series/data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?xml version="1.0" encoding="utf-8" ?>
<series_data title="2012 Per Capita Personal Income by State (Dollars)" region="state" seasonality="Not Seasonally Adjusted" units="Dollars" frequency="Annual">
<observation date="2012-01-01" region="Delaware" code="10" value="44070" series_id="DEPCPI"/>
<observation date="2012-01-01" region="Pennsylvania" code="42" value="45855" series_id="PAPCPI"/>
<observation date="2012-01-01" region="Washington" code="53" value="47320" series_id="WAPCPI"/>
<observation date="2012-01-01" region="North Dakota" code="38" value="56443" series_id="NDPCPI"/>
<observation date="2012-01-01" region="Illinois" code="17" value="46029" series_id="ILPCPI"/>
<observation date="2012-01-01" region="North Carolina" code="37" value="39103" series_id="NCPCPI"/>
<observation date="2012-01-01" region="Georgia" code="13" value="37495" series_id="GAPCPI"/>
<observation date="2012-01-01" region="Wyoming" code="56" value="54213" series_id="WYPCPI"/>
<observation date="2012-01-01" region="South Carolina" code="45" value="35989" series_id="SCPCPI"/>
<observation date="2012-01-01" region="Connecticut" code="09" value="64121" series_id="CTPCPI"/>
<observation date="2012-01-01" region="Nebraska" code="31" value="46670" series_id="NEPCPI"/>
<observation date="2012-01-01" region="District of Columbia" code="11" value="68148" series_id="DCPCPI"/>
<observation date="2012-01-01" region="Mississippi" code="28" value="33657" series_id="MSPCPI"/>
<observation date="2012-01-01" region="New York" code="36" value="53102" series_id="NYPCPI"/>
<observation date="2012-01-01" region="California" code="06" value="48121" series_id="CAPCPI"/>
<observation date="2012-01-01" region="Wisconsin" code="55" value="42944" series_id="WIPCPI"/>
<observation date="2012-01-01" region="Oklahoma" code="40" value="42232" series_id="OKPCPI"/>
<observation date="2012-01-01" region="Rhode Island" code="44" value="45601" series_id="RIPCPI"/>
<observation date="2012-01-01" region="Arkansas" code="05" value="36582" series_id="ARPCPI"/>
<observation date="2012-01-01" region="Texas" code="48" value="44241" series_id="TXPCPI"/>
<observation date="2012-01-01" region="Missouri" code="29" value="40317" series_id="MOPCPI"/>
<observation date="2012-01-01" region="Louisiana" code="22" value="41003" series_id="LAPCPI"/>
<observation date="2012-01-01" region="Massachusetts" code="25" value="56669" series_id="MAPCPI"/>
<observation date="2012-01-01" region="Indiana" code="18" value="39433" series_id="INPCPI"/>
<observation date="2012-01-01" region="Maine" code="23" value="40411" series_id="MEPCPI"/>
<observation date="2012-01-01" region="Virginia" code="51" value="49309" series_id="VAPCPI"/>
<observation date="2012-01-01" region="Florida" code="12" value="41540" series_id="FLPCPI"/>
<observation date="2012-01-01" region="Alaska" code="02" value="53708" series_id="AKPCPI"/>
<observation date="2012-01-01" region="Iowa" code="19" value="42873" series_id="IAPCPI"/>
<observation date="2012-01-01" region="Ohio" code="39" value="40759" series_id="OHPCPI"/>
<observation date="2012-01-01" region="New Jersey" code="34" value="54574" series_id="NJPCPI"/>
<observation date="2012-01-01" region="New Mexico" code="35" value="35749" series_id="NMPCPI"/>
<observation date="2012-01-01" region="Oregon" code="41" value="39371" series_id="ORPCPI"/>
<observation date="2012-01-01" region="West Virginia" code="54" value="35453" series_id="WVPCPI"/>
<observation date="2012-01-01" region="Kentucky" code="21" value="35875" series_id="KYPCPI"/>
<observation date="2012-01-01" region="Tennessee" code="47" value="39373" series_id="TNPCPI"/>
<observation date="2012-01-01" region="Arizona" code="04" value="36545" series_id="AZPCPI"/>
<observation date="2012-01-01" region="Hawaii" code="15" value="43812" series_id="HIPCPI"/>
<observation date="2012-01-01" region="Vermont" code="50" value="45277" series_id="VTPCPI"/>
<observation date="2012-01-01" region="Kansas" code="20" value="45294" series_id="KSPCPI"/>
<observation date="2012-01-01" region="New Hampshire" code="33" value="51123" series_id="NHPCPI"/>
<observation date="2012-01-01" region="Idaho" code="16" value="35110" series_id="IDPCPI"/>
<observation date="2012-01-01" region="Maryland" code="24" value="52787" series_id="MDPCPI"/>
<observation date="2012-01-01" region="Michigan" code="26" value="39266" series_id="MIPCPI"/>
<observation date="2012-01-01" region="Nevada" code="32" value="39909" series_id="NVPCPI"/>
<observation date="2012-01-01" region="Montana" code="30" value="40701" series_id="MTPCPI"/>
<observation date="2012-01-01" region="Minnesota" code="27" value="47726" series_id="MNPCPI"/>
<observation date="2012-01-01" region="South Dakota" code="46" value="45442" series_id="SDPCPI"/>
<observation date="2012-01-01" region="Colorado" code="08" value="45630" series_id="COPCPI"/>
<observation date="2012-01-01" region="Alabama" code="01" value="35824" series_id="ALPCPI"/>
<observation date="2012-01-01" region="Utah" code="49" value="36005" series_id="UTPCPI"/>
</series_data>GeoFRED Series Data
curl --request GET \
--url https://api.aisa.one/apis/v1/geofred/series/data \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/geofred/series/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/geofred/series/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/geofred/series/data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/geofred/series/data"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/geofred/series/data")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/geofred/series/data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?xml version="1.0" encoding="utf-8" ?>
<series_data title="2012 Per Capita Personal Income by State (Dollars)" region="state" seasonality="Not Seasonally Adjusted" units="Dollars" frequency="Annual">
<observation date="2012-01-01" region="Delaware" code="10" value="44070" series_id="DEPCPI"/>
<observation date="2012-01-01" region="Pennsylvania" code="42" value="45855" series_id="PAPCPI"/>
<observation date="2012-01-01" region="Washington" code="53" value="47320" series_id="WAPCPI"/>
<observation date="2012-01-01" region="North Dakota" code="38" value="56443" series_id="NDPCPI"/>
<observation date="2012-01-01" region="Illinois" code="17" value="46029" series_id="ILPCPI"/>
<observation date="2012-01-01" region="North Carolina" code="37" value="39103" series_id="NCPCPI"/>
<observation date="2012-01-01" region="Georgia" code="13" value="37495" series_id="GAPCPI"/>
<observation date="2012-01-01" region="Wyoming" code="56" value="54213" series_id="WYPCPI"/>
<observation date="2012-01-01" region="South Carolina" code="45" value="35989" series_id="SCPCPI"/>
<observation date="2012-01-01" region="Connecticut" code="09" value="64121" series_id="CTPCPI"/>
<observation date="2012-01-01" region="Nebraska" code="31" value="46670" series_id="NEPCPI"/>
<observation date="2012-01-01" region="District of Columbia" code="11" value="68148" series_id="DCPCPI"/>
<observation date="2012-01-01" region="Mississippi" code="28" value="33657" series_id="MSPCPI"/>
<observation date="2012-01-01" region="New York" code="36" value="53102" series_id="NYPCPI"/>
<observation date="2012-01-01" region="California" code="06" value="48121" series_id="CAPCPI"/>
<observation date="2012-01-01" region="Wisconsin" code="55" value="42944" series_id="WIPCPI"/>
<observation date="2012-01-01" region="Oklahoma" code="40" value="42232" series_id="OKPCPI"/>
<observation date="2012-01-01" region="Rhode Island" code="44" value="45601" series_id="RIPCPI"/>
<observation date="2012-01-01" region="Arkansas" code="05" value="36582" series_id="ARPCPI"/>
<observation date="2012-01-01" region="Texas" code="48" value="44241" series_id="TXPCPI"/>
<observation date="2012-01-01" region="Missouri" code="29" value="40317" series_id="MOPCPI"/>
<observation date="2012-01-01" region="Louisiana" code="22" value="41003" series_id="LAPCPI"/>
<observation date="2012-01-01" region="Massachusetts" code="25" value="56669" series_id="MAPCPI"/>
<observation date="2012-01-01" region="Indiana" code="18" value="39433" series_id="INPCPI"/>
<observation date="2012-01-01" region="Maine" code="23" value="40411" series_id="MEPCPI"/>
<observation date="2012-01-01" region="Virginia" code="51" value="49309" series_id="VAPCPI"/>
<observation date="2012-01-01" region="Florida" code="12" value="41540" series_id="FLPCPI"/>
<observation date="2012-01-01" region="Alaska" code="02" value="53708" series_id="AKPCPI"/>
<observation date="2012-01-01" region="Iowa" code="19" value="42873" series_id="IAPCPI"/>
<observation date="2012-01-01" region="Ohio" code="39" value="40759" series_id="OHPCPI"/>
<observation date="2012-01-01" region="New Jersey" code="34" value="54574" series_id="NJPCPI"/>
<observation date="2012-01-01" region="New Mexico" code="35" value="35749" series_id="NMPCPI"/>
<observation date="2012-01-01" region="Oregon" code="41" value="39371" series_id="ORPCPI"/>
<observation date="2012-01-01" region="West Virginia" code="54" value="35453" series_id="WVPCPI"/>
<observation date="2012-01-01" region="Kentucky" code="21" value="35875" series_id="KYPCPI"/>
<observation date="2012-01-01" region="Tennessee" code="47" value="39373" series_id="TNPCPI"/>
<observation date="2012-01-01" region="Arizona" code="04" value="36545" series_id="AZPCPI"/>
<observation date="2012-01-01" region="Hawaii" code="15" value="43812" series_id="HIPCPI"/>
<observation date="2012-01-01" region="Vermont" code="50" value="45277" series_id="VTPCPI"/>
<observation date="2012-01-01" region="Kansas" code="20" value="45294" series_id="KSPCPI"/>
<observation date="2012-01-01" region="New Hampshire" code="33" value="51123" series_id="NHPCPI"/>
<observation date="2012-01-01" region="Idaho" code="16" value="35110" series_id="IDPCPI"/>
<observation date="2012-01-01" region="Maryland" code="24" value="52787" series_id="MDPCPI"/>
<observation date="2012-01-01" region="Michigan" code="26" value="39266" series_id="MIPCPI"/>
<observation date="2012-01-01" region="Nevada" code="32" value="39909" series_id="NVPCPI"/>
<observation date="2012-01-01" region="Montana" code="30" value="40701" series_id="MTPCPI"/>
<observation date="2012-01-01" region="Minnesota" code="27" value="47726" series_id="MNPCPI"/>
<observation date="2012-01-01" region="South Dakota" code="46" value="45442" series_id="SDPCPI"/>
<observation date="2012-01-01" region="Colorado" code="08" value="45630" series_id="COPCPI"/>
<observation date="2012-01-01" region="Alabama" code="01" value="35824" series_id="ALPCPI"/>
<observation date="2012-01-01" region="Utah" code="49" value="36005" series_id="UTPCPI"/>
</series_data>Request contract
- Method and path: GET /apis/v1/geofred/series/data
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/geofred/series/data
- date: query; optional
- file_type: query; optional
- series_id: query; required
- start_date: query; optional
- Runtime facts: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
{
"operationId": "any_fred_apis_v1_geofred_series_data",
"method": "GET",
"path": "/apis/v1/geofred/series/data",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"name": "date",
"in": "query",
"required": false,
"schema": {
"type": "string",
"format": "date"
},
"description": "The date you want to request series group data from.\nYYYY-MM-DD formatted string, optional",
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional"
]
},
{
"name": "file_type",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"xml",
"json"
],
"default": "xml"
},
"description": "A key or file extension that indicates the type of file to send.\nOne of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml (xml is not available for county data). json = JavaScript Object Notation. The HTTP Content-Type is application/json.\nxml = Extensible Markup Language. The HTTP Content-Type is text/xml (xml is not available for county data). json = JavaScript Object Notation. The HTTP Content-Type is application/json.",
"x-aisa-reference-declarations": [
"One of the following values: 'xml', 'json'",
"optional, default: xml"
]
},
{
"name": "series_id",
"in": "query",
"required": true,
"schema": {
"type": "string"
},
"description": "The FRED series_id you want to request maps data for. Not all series that are in FRED have geographical data.\nstring, required",
"x-aisa-reference-declarations": [
"string, required"
]
},
{
"name": "start_date",
"in": "query",
"required": false,
"schema": {
"type": "string",
"format": "date"
},
"description": "The start date you want to request series group data from. This allows you to pull a range of data\nYYYY-MM-DD formatted string, optional",
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional"
]
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "fixed_success",
"customer_pricing": "fixed_success",
"default_request_estimate_usd": 1e-05,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.00001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 1e-05
- Cost contract: fixed_success
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The date you want to request series group data from. YYYY-MM-DD formatted string, optional
A key or file extension that indicates the type of file to send. One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml (xml is not available for county data). json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml (xml is not available for county data). json = JavaScript Object Notation. The HTTP Content-Type is application/json.
xml, json The FRED series_id you want to request maps data for. Not all series that are in FRED have geographical data. string, required
The start date you want to request series group data from. This allows you to pull a range of data YYYY-MM-DD formatted string, optional
Response
Official representation and examples only; no complete response schema is declared.